diff third_party/sqlite3/tea/configure @ 173:827c6ac504cd hg-web

Merged in default here.
author MrJuneJune <me@mrjunejune.com>
date Mon, 19 Jan 2026 18:59:10 -0800
parents 589bab390fb4
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/third_party/sqlite3/tea/configure	Mon Jan 19 18:59:10 2026 -0800
@@ -0,0 +1,20 @@
+#!/bin/sh
+# Look for and run autosetup...
+dir0="`dirname "$0"`"
+dirA="$dir0"
+if [ -d $dirA/autosetup ]; then
+    # A local copy of autosetup
+    dirA=$dirA/autosetup
+elif [ -d $dirA/../autosetup ]; then
+    # SQLite "autoconf" bundle
+    dirA=$dirA/../autosetup
+elif [ -d $dirA/../../autosetup ]; then
+    # SQLite canonical source tree
+    dirA=$dirA/../../autosetup
+else
+    echo "$0: Cannot find autosetup" 1>&2
+    exit 1
+fi
+WRAPPER="$0"; export WRAPPER; exec "`"$dirA/autosetup-find-tclsh"`" \
+                                   "$dirA/autosetup" --teaish-extension-dir="$dir0" \
+                                   "$@"